Bug 1125208 - Please port policycoreutils-gui to Python 3
Summary: Please port policycoreutils-gui to Python 3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-31 10:27 UTC by Bohuslav "Slavek" Kabrda
Modified: 2018-03-06 17:22 UTC (History)
4 users (show)

Fixed In Version: policycoreutils-2.7-5.fc27
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-06 17:22:25 UTC


Attachments (Terms of Use)

Description Bohuslav "Slavek" Kabrda 2014-07-31 10:27:28 UTC
Hi, as we're slowly getting closer to F22, where Python 3 is supposed to be the default Python (hence the only one on LiveCD [1]), I'd like to ask you to port policycoreutils to Python 3 (AFAICS policycoreutils has python3 subpackage, but policycoreutils-gui still uses Python 2).

Thanks a lot!

[1] http://fedoraproject.org/wiki/Changes/Python_3_as_Default

Comment 1 Jaroslav Reznik 2015-03-03 16:10:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 2 Fedora End Of Life 2016-11-24 11:11:56 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-02-28 09:37:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 4 Fedora Update System 2018-02-22 12:06:53 UTC
policycoreutils-2.7-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cf7dc52

Comment 5 Fedora Update System 2018-02-23 16:57:07 UTC
policycoreutils-2.7-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-108cf7dc52

Comment 6 Fedora Update System 2018-03-06 17:22:25 UTC
policycoreutils-2.7-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.